Subject: Re: [PATCH] global: resolve Perl executable via PATH

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 6 Apr 2023 10:07:13 +0200

On Wed, Apr 05, 2023 at 02:15:05PM -0400, Jeff King wrote:
> On Wed, Apr 05, 2023 at 07:32:22PM +0200, Patrick Steinhardt wrote:
> 
> > Yeah, agreed, the scripts we install are fine from all I can tell. I
> > should've clarified, but what I care about is our build infra as well as
> > our test scripts. That's neither clear from the commit description nor
> > from the changes that I'm doing.
> 
> Ah, OK, that makes more sense.
> 
> > I'd be happy to keep the current state of installed scripts as-is and
> > resend another iteration of this patch that only addresses shebangs used
> > in internal scripts.
> 
> We generally try to use $PERL_PATH even for building and testing by
> invoking "$PERL_PATH script.pl", and declaring a perl() wrapper within
> the test scripts. But I would not be surprised if there are cases where
> we fail to (and nobody noticed because it usually just works to find one
> at /usr/bin/perl).
> 
> IMHO we should aim for fixing those inconsistencies, and then letting
> people set PERL_PATH as appropriate (even to something that will find it
> via $PATH if they want to).
> 
> -Peff

Makes sense to me, I'll send a v2 that goes into this direction. Thanks
all for your input!

Patrick